<?php

declare(strict_types=1);

namespace App\Controller\WebInicio;

use App\Service\WebInicioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getWebInicioService(): WebInicioService
    {
        return $this->container->get('WebInicio_service');
    }
}
